[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Package Build Report - Fedora Extras Development



On Thu, May 05, 2005 at 05:49:42PM +0200, Matthias Saou wrote:
> Thorsten Leemhuis wrote :
> 
> > Seth, on x86_64 the buildsystem/mach/yum installs the 32-bit version of
> > libGLU (xorg-x11-Mesa-libGLU-6.8.2-1.FC3.13.i386) and not the 64bit-
> > version (xorg-x11-Mesa-libGLU-6.8.2-1.FC3.13.x86_64) for the
> > "BuildRequire libGLU.so.1". The build fails due to that. I wanted to
> > look into this already known problem but did not find the time/it got
> > lost. Sorry for that.
> > 
> > So, how do we fix that? [...]
> 
> My opinion would be to only have x86_64 and noarch packages available for
> the x86_64 build root, and no let any i?86 packages be available to it,
> since it makes no sense anyway for a build root.
> 
> I've already bumped into this problem myself, and my solution has been to
> create a "static" RPMS directory with all i?86.rpm packages removed and
> createrepo re-run on top of that. The cleaner fix would be to disable
> multiarch support in the yum used for the x86_64 build root, but I don't
> think that's possible with the current yum (seth will know for sure ;-)).

You can craft an exclude statement to exclude all of *.i386.rpm, but still
leave glibc/gcc multilib.

greetings,

Florian La Roche


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]